Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Need additional information
    • Affects Version/s: 12.0-U1.1
    • Fix Version/s: N/A
    • Component/s: Plugins
    • Labels:
      None

      Description

      I cannot install nextcloud. I have the following error message:

      Translated via google translate

       

      Je n'arrive pas a installer nextcloud. j'ai le message erreur suivant :

      Error: Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_json.py", line 1515, in json_load
      with open(self.location + "/config.json", "r") as conf:
      FileNotFoundError: [Errno 2] No such file or directory: '/mnt/Volume 1/iocage/jails/nextcloud/config.json'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_json.py", line 1531, in json_load
      jail_dataset.properties["org.freebsd.iocage:host_hostuuid"]
      KeyError: 'org.freebsd.iocage:host_hostuuid'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 137, in call_method
      result = await self.middleware._call(message['method'], serviceobj, methodobj, params, app=self,
      File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1195, in _call
      return await methodobj(*prepared_call.args)
      File "/usr/local/lib/python3.8/site-packages/middlewared/service.py", line 471, in delete
      rv = await self.middleware._call(
      File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1206, in _call
      return await self.run_in_executor(prepared_call.executor, methodobj, *prepared_call.args)
      File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1110, in run_in_executor
      return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      File "/usr/local/lib/python3.8/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
      result = self.fn(*self.args, **self.kwargs)
      File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf
      return f(*args, **kwargs)
      File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/jail_freebsd.py", line 1013, in do_delete
      iocage.destroy_jail(force=options.get('force'))
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/iocage.py", line 751, in destroy_jail
      ioc_destroy.IOCDestroy().destroy_jail(path)
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_destroy.py", line 272, in destroy_jail
      iocage_lib.ioc_stop.IOCStop(uuid, path, silent=True)
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_stop.py", line 62, in _init_
      raise e
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_stop.py", line 54, in _init_
      self.conf = iocage_lib.ioc_json.IOCJson(
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_json.py", line 1723, in json_get_value
      return self.get_full_config()
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_json.py", line 1386, in get_full_config
      conf, write = self.json_load()
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_json.py", line 1537, in json_load
      iocage_lib.ioc_common.logit(
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_common.py", line 107, in logit
      callback(content, exception)
      File "/usr/local/lib/python3.8/site-packages/iocage_lib/ioc_common.py", line 80, in callback
      raise callback_exception(message)
      iocage_lib.ioc_exceptions.JailMissingConfiguration: nextcloud is missing it's configuration, please destroy this jail and recreate it.

       

       

      I can not delete the jail, I have a message telling me that the deletion has failed. Can you help me"

      Je n'arrive pas a supprimer le jail, j'ai un message me disant que la suppression a echouée.

      Pouvez-vous m'aider"

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Release Council
                Reporter:
                Greg971 Gregory MARTINOT
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: